set(quickwings_srcs quickwings.cpp)
set(quickwings_assets
    assets/background-day.png
    assets/base.png
    assets/pipe-green.png
    assets/yellowbird-downflap.png
    assets/yellowbird-midflap.png
    assets/yellowbird-upflap.png
    )

set_source_files_properties(${quickwings_assets} PROPERTIES HEADER_FILE_ONLY TRUE)

add_executable(quickwings ${quickwings_srcs} ${quickwings_assets})

target_link_libraries(quickwings paradiso_core)

add_custom_command(TARGET quickwings POST_BUILD
                   COMMAND ${CMAKE_COMMAND} -E copy_directory
                   ${CMAKE_CURRENT_SOURCE_DIR}/assets/ $<TARGET_FILE_DIR:quickwings>/assets)
                